<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package lettery
 */

get_header();
?>

<?php
$title = get_field( 'p404_title', 'option' );
if ( ! $title ) {
	$title = esc_html__( '404', 'lettery' );
}
$content = get_field( 'p404_content', 'option' );
if ( ! $content ) {
	$content = esc_html__( 'Oops! Something went wrong :(', 'lettery' );
}
?>

<div class="mil-404-frame mil-appearance">
                
	<div class="mil-scale-frame">
		<h1 class="mil-404" data-text="<?php echo esc_attr( $title ); ?>"><?php echo wp_kses_post( $title ); ?></h1>
	</div>

	<h6 class="mil-404-text mil-mb-60"><?php echo wp_kses_post( $content ); ?></h6>

	<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="mil-text-center mil-button mil-button-lg mil-scale-down-trigger mil-buttons-space">
		<span><?php echo esc_html__( 'Back to homepage', 'lettery' ); ?></span>
	</a>

</div>

<?php
get_footer();