<?php
/**
 * Ajax Infinite Scroll for Portfolio & Posts
 */

function lettery_ajax_infinite_scroll_el() {
	check_ajax_referer( 'lettery_ajax', 'ajax_nonce' );

	$post_type = $_POST['post_type'];

	if ( $post_type == 'portfolio' ) {
		//load gallery posts

		$page_id = $_POST['page_id'];
		$paged = $_POST['page_no'];
		$orderby = $_POST['order_by'];
		$per_page = $_POST['per_page'];
		$order = $_POST['order'];
		$source = $_POST['source'];
		$temp = $_POST['temp'];
		$cat_ids = $_POST['cat_ids'];
		$layout = $_POST['layout'];
		$columns = $_POST['columns'];

		$args = array(
			'post_type'		 => 'portfolio',
			'post_status'	   => 'publish',
			'orderby'			=> $orderby,
			'order'				=> $order,
			'posts_per_page'	=> $per_page,
			'paged' 			=> $paged
		);

		if( $source == 'categories' ) {
			$tax_array = array(
				array(
					'taxonomy' => 'portfolio_categories',
					'field'    => 'id',
					'terms'    => $cat_ids
				)
			);

			$args += array('tax_query' => $tax_array);
		}
		if ( $source == 'tags' ) {
			$tax_array = array(
				array(
					'taxonomy' => 'post_tag',
					'field'    => 'id',
					'terms'    => $cat_ids
				)
			);

			$args += array('tax_query' => $tax_array);
		}
		if ( $source == 'custom' ) {
			$args += array( 'post__in' => $cat_ids );
		}

		$q = new WP_Query($args);

		if ( $q->have_posts() ) : ?>
			<?php if ( $layout == 'grid' ) : ?>
			<div class="row">
				<?php $index = 0; while ( $q->have_posts() ) : $q->the_post(); $index++; ?>

				<div class="<?php if ( $index <= 2 ) : ?>col-lg-6<?php else : ?>col-lg-4<?php endif; ?>">
						
					<?php 
						set_query_var( 'index', $index );
						set_query_var( 'grid', true );

						get_template_part( 'template-parts/content', $temp );
					?>
					
				</div>
					
				<?php endwhile; ?>
			</div>
			<?php elseif ( $layout == 'list' ) : ?>
			<div class="row">
				<?php $index = 0; while ( $q->have_posts() ) : $q->the_post(); $index++; ?>

				<div class="<?php echo esc_attr( $columns ); ?>">
						
					<?php
						set_query_var( 'index', $index );
						set_query_var( 'grid', true );

						get_template_part( 'template-parts/content', $temp );
					?>
					
				</div>
					
				<?php endwhile; ?>
			</div>
			<?php else : ?>
			<div class="row m-0<?php if ( $paged %2 == 0 ) : ?> flex-row-reverse<?php endif; ?>">
				<?php $index = 0; while ( $q->have_posts() ) : $q->the_post(); $index++; ?>

				<?php if ( $index <= 2 ) : ?>
				<div class="col-lg-6 p-0">
					<div class="row m-0">
				<?php endif; ?>
						
					<?php 
						set_query_var( 'index', $index );

						get_template_part( 'template-parts/content', $temp );
					?>
					
				<?php if ( $index == 1 || $index == $q->post_count ) : ?>
					</div>
				</div>
				<?php endif; ?>
					
				<?php endwhile; ?>
			</div>
			<?php endif; ?>

			<?php wp_reset_postdata();
		endif;

		exit;

	} else {
		//load blog posts

		$page_id = $_POST['page_id'];
		$paged = $_POST['page_no'];

		$orderby = $_POST['order_by'];
		$per_page = $_POST['per_page'];
		$order = $_POST['order'];
		$source = $_POST['source'];
		$cat_ids = $_POST['cat_ids'];

		$items_per_row = $_POST['items_per_row'];
		$card_layout = $_POST['card_layout'];
		$image_aspect_ratio = $_POST['image_aspect_ratio'];
		$cursor_style = $_POST['cursor_style'];

		$args = array(
			'post_type'		 => 'post',
			'post_status'	   => 'publish',
			'orderby'			=> $orderby,
			'order'				=> $order,
			'posts_per_page'	=> $per_page,
			'paged' 			=> $paged
		);

		if( $source == 'categories' ) {
			$tax_array = array(
				array(
					'taxonomy' => 'category',
					'field'    => 'id',
					'terms'    => $cat_ids
				)
			);

			$args += array('tax_query' => $tax_array);
		}
		if ( $source == 'tags' ) {
			$tax_array = array(
				array(
					'taxonomy' => 'post_tag',
					'field'    => 'id',
					'terms'    => $cat_ids
				)
			);

			$args += array('tax_query' => $tax_array);
		}
		if ( $source == 'custom' ) {
			$args += array( 'post__in' => $cat_ids );
		}

		$q = new WP_Query($args);

		if( $q->have_posts() ) :
			while( $q->have_posts() ) : $q->the_post();
				set_query_var( 'items_per_row', $items_per_row );
				set_query_var( 'card_layout', $card_layout );
				set_query_var( 'image_aspect_ratio', $image_aspect_ratio );
				set_query_var( 'cursor_style', $cursor_style );

				get_template_part( 'template-parts/content' );
			endwhile;

			wp_reset_postdata();
		endif;

		exit;

	}
}
add_action( 'wp_ajax_infinite_scroll_el', 'lettery_ajax_infinite_scroll_el' );
add_action( 'wp_ajax_nopriv_infinite_scroll_el', 'lettery_ajax_infinite_scroll_el' );
