<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package lettery
 */

get_header();
?>

	<?php
	
	//options
	$blog_featured_img = get_field( 'blog_featured_img', 'options' );

	?>

	<?php while ( have_posts() ) : the_post(); ?>

		<?php get_template_part( 'template-parts/intro' ); ?>

		<div class="container mil-mb-120">
			
			<div class="row justify-content-center">

				<div class="col-lg-12 col-xl-9 mil-content-frame mil-appearance mil-p-120-0">
					<h3 class="mil-text-center single-post-title mil-appearance mil-mb-60"><?php the_title(); ?></h3>

					<!-- post info -->
					<?php lettery_after_title(); ?>
					<!-- post info end -->

					<?php if ( has_post_thumbnail() && ! $blog_featured_img ) : $image = get_the_post_thumbnail_url( get_the_ID(), 'lettery_1920xAuto' ); ?>
					<a data-magnific="gallery" href="<?php echo esc_url( $image ); ?>" data-no-swup class="mil-appearance mil-just-image mil-image-hori mil-icon-3-trigger mil-mb-90">
						<img src="<?php echo esc_url( $image ); ?>" alt="<?php echo esc_attr( get_the_title() ); ?>" class="mil-scale-img" data-value-1="1" data-value-2="1.1" />
					</a>
					<?php endif; ?>
				</div>

				<div class="col-lg-10 col-xl-7">
				
					<?php get_template_part( 'template-parts/content', 'single' ); ?>

					<?php lettery_single_navigantion(); ?>

				</div>

			</div>

		</div>

		<?php if ( comments_open() || get_comments_number() ) :
			// If comments are open or we have at least one comment, load up the comment template.
			comments_template();
		endif; ?>

	<?php endwhile; ?>

<?php
get_footer();
