<?php
    // get title
    $subtitle = esc_html__( 'Archive', 'lettery' );

    if ( is_page() ) {
        $title = get_the_title();
        $subtitle = false;
    } elseif ( is_search() ) {
        $title = esc_html__( 'Search: ', 'lettery' ) . esc_html( get_search_query() );
    } elseif ( is_archive() ) {
        $title = get_the_archive_title();
    } else {
        $title = esc_html__( 'Latest Posts', 'lettery' );
    }
?>

<div class="row justify-content-between mil-mb-120">
    <div class="col-xl-12">
        <?php if ( $subtitle ) : ?>
        <h3 class="mil-link mil-appearance mil-accent mil-mb-30"><?php echo wp_kses_post( $subtitle ); ?></h3>
        <?php endif; ?>
        <?php if ( $title ) : ?>
        <h1 class="mil-h2 mil-appearance">
            <?php echo wp_kses_post( $title ); ?>
        </h1>
        <?php endif; ?>
    </div>
</div>